Page MenuHomePhabricator

Wikibase prefix search for IDs is case sensitive
Closed, ResolvedPublic

Description

From Wikidata chat:

When entering in a property or its corresponding item, if you were entering in the underlying identifier, that is typing "p31" or "q3331189" "q1860" the code lookup would be case-insensitive. Overnight—presumably during code update—such actions have become case-sensitive, meaning that it needs to be "P31", etc.

This needs to be fixed, there is no reason for case-sensitive match.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2017, 10:07 PM
Smalyshev triaged this task as High priority.Oct 25 2017, 10:07 PM
Smalyshev added subscribers: EBernhardson, daniel, dcausse.

Change 386544 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Make search for titles be always uppercase

https://gerrit.wikimedia.org/r/386544

Change 386544 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Make search for titles be always uppercase

https://gerrit.wikimedia.org/r/386544

Change 386548 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@wmf/1.31.0-wmf.5] Make search for titles be always uppercase

https://gerrit.wikimedia.org/r/386548

Change 386598 had a related patch set uploaded (by Ladsgroup; owner: Amir Sarabadani):
[mediawiki/extensions/Wikidata@wmf/1.31.0-wmf.5] Make search for titles be always uppercase

https://gerrit.wikimedia.org/r/386598

Change 386598 merged by jenkins-bot:
[mediawiki/extensions/Wikidata@wmf/1.31.0-wmf.5] Make search for titles be always uppercase

https://gerrit.wikimedia.org/r/386598

Mentioned in SAL (#wikimedia-operations) [2017-10-26T13:52:55Z] <zfilipin@tin> Synchronized php-1.31.0-wmf.5/extensions/Wikidata: SWAT: [[gerrit:386598|Make search for titles be always uppercase (T179045)]] (duration: 02m 10s)

Change 386548 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.31.0-wmf.5] Make search for titles be always uppercase

https://gerrit.wikimedia.org/r/386548

Mentioned in SAL (#wikimedia-operations) [2017-10-26T14:03:47Z] <zfilipin@tin> Synchronized php-1.31.0-wmf.5/extensions/Wikibase: SWAT: [[gerrit:386548|Make search for titles be always uppercase (T179045)]] (duration: 01m 36s)

Smalyshev closed this task as Resolved.Oct 26 2017, 5:02 PM
Smalyshev claimed this task.

Items are resolved, though still not functioning for properties. Type "p31" and match not found, type "P31" and "instance of" appears.

It looks like the fix was rolled back :( so we'll see what happens when it is reinstated.

Smalyshev reopened this task as Open.Oct 28 2017, 10:24 AM
Smalyshev added a project: User-Smalyshev.
Smalyshev moved this task from Backlog to Doing on the User-Smalyshev board.

Change 387025 had a related patch set uploaded (by Smalyshev; owner: Smalyshev):
[mediawiki/extensions/Wikibase@master] Add special case handling for some forms of IDs

https://gerrit.wikimedia.org/r/387025

Smalyshev closed this task as Resolved.Oct 31 2017, 11:46 PM

Both q42 and p31 work for me now. Other cases will be covered in https://gerrit.wikimedia.org/r/#/c/387025/

This next fix has worked. Hopefully this one will not need reverting.

Thanks for confirming!
Just to be sure, the previous one didn't need reverting, it was reverted along with other patches that happened at that time due to performance problems are that time. This is pretty standard procedure to return everything to a known good code when problems arise. The problem was in completely different part though. As soon as the source of the problems was identified and fixed, the pending patches were applied again.

Change 387025 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Add special case handling for some forms of IDs

https://gerrit.wikimedia.org/r/387025